- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ifr_adding_visitor_structure Class Reference

`#include <ifr_adding_visitor_structure.h>`

Inheritance diagram for ifr_adding_visitor_structure:

[legend]
Collaboration diagram for ifr_adding_visitor_structure:

[legend]
List of all members.

## Public Member Functions
| ifr_adding_visitor_structure (AST_Decl *scope, CORBA::Boolean is_nested)
virtual | ~ifr_adding_visitor_structure (void)
virtual int | visit_scope (UTL_Scope *node)
virtual int | visit_structure (AST_Structure *node)
virtual int | visit_enum (AST_Enum *node)
virtual int | visit_union (AST_Union *node)
virtual CORBA::IDLType_ptr | ir_current (void) const
## Private Attributes
CORBA::Boolean | is_nested_
CORBA::StructMemberSeq | members_
ACE_Unbounded_Queue< CORBA::Contained_ptr > | move_queue_

## Constructor & Destructor Documentation

ifr_adding_visitor_structure::ifr_adding_visitor_structure | ( | AST_Decl * | scope,
|  | CORBA::Boolean | is_nested |
| ) |  |  |

ifr_adding_visitor_structure::~ifr_adding_visitor_structure | ( | void |  | ) | `[virtual]`

## Member Function Documentation

CORBA::IDLType_ptr ifr_adding_visitor_structure::ir_current | ( | void |  | ) | const`[virtual]`

int ifr_adding_visitor_structure::visit_enum | ( | AST_Enum * | node | ) | `[virtual]`

Reimplemented from ifr_adding_visitor.

int ifr_adding_visitor_structure::visit_scope | ( | UTL_Scope * | node | ) | `[virtual]`

Reimplemented from ifr_adding_visitor.

int ifr_adding_visitor_structure::visit_structure | ( | AST_Structure * | node | ) | `[virtual]`

Reimplemented from ifr_adding_visitor.

int ifr_adding_visitor_structure::visit_union | ( | AST_Union * | node | ) | `[virtual]`

Reimplemented from ifr_adding_visitor.

## Member Data Documentation

CORBA::Boolean ifr_adding_visitor_structure::is_nested_`[private]`

CORBA::StructMemberSeq ifr_adding_visitor_structure::members_`[private]`

ACE_Unbounded_Queue<CORBA::Contained_ptr> ifr_adding_visitor_structure::move_queue_`[private]`

The documentation for this class was generated from the following files:

- ifr_adding_visitor_structure.h
- ifr_adding_visitor_structure.cpp